Bug 221581 - yum looses progress bar after socket error
Summary: yum looses progress bar after socket error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-05 14:18 UTC by Horst H. von Brand
Modified: 2014-01-21 22:56 UTC (History)
0 users

Fixed In Version: 3.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 17:50:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Horst H. von Brand 2007-01-05 14:18:32 UTC
Description of problem:
yum had several network errors, and switched mirrors. After one of those it
continued downloading but no progress bar.


Version-Release number of selected component (if applicable):
yum-3.0.1-6.fc7

How reproducible:
No idea, has happened once here.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
     
(13/30): libstdc++-devel- 100% |=========================| 6.8 MB    01:27     
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/os/Fedora/RPMS/libstdc%2B%2B-devel-4.1.1-51.i386.rpm:
[Errno 4] Socket Error: timed out
Trying other mirror.
(13/30): libstdc++-devel-4.1.1-51.i386.rpm                      9.4 MB 04:37

Expected results:
Continued progress bar

Additional info:

Comment 1 Jeremy Katz 2007-01-05 17:01:58 UTC
Weird.  Did the next package then have a progressbar?

Comment 2 Horst H. von Brand 2007-01-05 17:09:26 UTC
No. The following packages went by without a progress bar. During install/update
the progress bar was normal again.

Comment 3 Jeremy Katz 2007-04-25 19:01:42 UTC
Does this still happen with yum 3.0.6/3.1.6?

Comment 4 Horst H. von Brand 2007-07-17 20:36:42 UTC
Now yum-3.2.1-1.fc8. Nope, haven't seen it in a while (and I haven't seen many
network errors either, so...)


Note You need to log in before you can comment on or make changes to this bug.